## org.apache.http.util
Class EncodingUtils

    java.lang.Object
      org.apache.http.util.EncodingUtils

    public final class EncodingUtils

extends Object

The home for utility methods that handle various encoding tasks.

Since:
  4.0

Method Summary
`static byte[]` `getAsciiBytes(String data)` Converts the specified string to byte array of ASCII characters.
`static String` `getAsciiString(byte[] data)` Converts the byte array of ASCII characters to a string.
`static String` `getAsciiString(byte[] data, int offset, int length)` Converts the byte array of ASCII characters to a string.
`static byte[]` `getBytes(String data, String charset)` Converts the specified string to a byte array.
`static String` `getString(byte[] data, int offset, int length, String charset)` Converts the byte array of HTTP content characters to a string.
`static String` `getString(byte[] data, String charset)` Converts the byte array of HTTP content characters to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static String getString(byte[] data,
                                   int offset,
                                   int length,
                                   String charset)

  Converts the byte array of HTTP content characters to a string. If the specified charset is not supported, default system encoding is used.

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
    `charset` - the desired character encoding
  Returns:
    The result of the conversion.

### getString

    public static String getString(byte[] data,
                                   String charset)

  Converts the byte array of HTTP content characters to a string. If the specified charset is not supported, default system encoding is used.

  Parameters:
    `data` - the byte array to be encoded
    `charset` - the desired character encoding
  Returns:
    The result of the conversion.

### getBytes

    public static byte[] getBytes(String data,
                                  String charset)

  Converts the specified string to a byte array. If the charset is not supported the default system charset is used.

  Parameters:
    `data` - the string to be encoded
    `charset` - the desired character encoding
  Returns:
    The resulting byte array.

### getAsciiBytes

    public static byte[] getAsciiBytes(String data)

  Converts the specified string to byte array of ASCII characters.

  Parameters:
    `data` - the string to be encoded
  Returns:
    The string as a byte array.

### getAsciiString

    public static String getAsciiString(byte[] data,
                                        int offset,
                                        int length)

  Converts the byte array of ASCII characters to a string. This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
  Returns:
    The string representation of the byte array

### getAsciiString

    public static String getAsciiString(byte[] data)

  Converts the byte array of ASCII characters to a string. This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
  Returns:
    The string representation of the byte array

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.